# azure.mgmt.advisor.models module

class `azure.mgmt.advisor.models.``ARMErrorResponseBody`(*, message: str = None, code: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ARM error response body.

  Parameters:

  - message (str) – Gets or sets the string that describes the error in detail and provides debugging information.
  - code (str) – Gets or sets the string that can be used to programmatically identify the error.

class `azure.mgmt.advisor.models.``ConfigData`(*, id: str = None, type: str = None, name: str = None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Advisor configuration data structure.

  Parameters:

  - id (str) – The resource Id of the configuration resource.
  - type (str) – The type of the configuration resource.
  - name (str) – The name of the configuration resource.
  - properties (ConfigDataProperties) – The list of property name/value pairs.

class `azure.mgmt.advisor.models.``ConfigDataProperties`(*, additional_properties=None, exclude: bool = None, low_cpu_threshold: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The list of property name/value pairs.

  Parameters:

  - additional_properties (dict[str, object]) – Unmatched properties from the message are deserialized this collection
  - exclude (bool) – Exclude the resource from Advisor evaluations. Valid values: False (default) or True.
  - low_cpu_threshold (str) – Minimum percentage threshold for Advisor low CPU utilization evaluation. Valid only for subscriptions. Valid values: 5 (default), 10, 15 or 20.

class `azure.mgmt.advisor.models.``MetadataEntity`(*, id: str = None, type: str = None, name: str = None, display_name: str = None, depends_on=None, applicable_scenarios=None, supported_values=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The metadata entity contract.

  Parameters:

  - id (str) – The resource Id of the metadata entity.
  - type (str) – The type of the metadata entity.
  - name (str) – The name of the metadata entity.
  - display_name (str) – The display name.
  - depends_on (list[str]) – The list of keys on which this entity depends on.
  - applicable_scenarios (list[str or Scenario]) – The list of scenarios applicable to this metadata entity.
  - supported_values (list[MetadataSupportedValueDetail]) – The list of supported values.

class `azure.mgmt.advisor.models.``MetadataSupportedValueDetail`(*, id: str = None, display_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The metadata supported value detail.

  Parameters:

  - id (str) – The id.
  - display_name (str) – The display name.

class `azure.mgmt.advisor.models.``OperationDisplayInfo`(*, description: str = None, operation: str = None, provider: str = None, resource: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The operation supported by Advisor.

  Parameters:

  - description (str) – The description of the operation.
  - operation (str) – The action that users can perform, based on their permission level.
  - provider (str) – Service provider: Microsoft Advisor.
  - resource (str) – Resource on which the operation is performed.

class `azure.mgmt.advisor.models.``OperationEntity`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The operation supported by Advisor.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}.
  - display (OperationDisplayInfo) – The operation supported by Advisor.

class `azure.mgmt.advisor.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  An Azure resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.

class `azure.mgmt.advisor.models.``ResourceRecommendationBase`(*, category=None, impact=None, impacted_field: str = None, impacted_value: str = None, last_updated=None, metadata=None, recommendation_type_id: str = None, risk=None, short_description=None, suppression_ids=None, extended_properties=None, **kwargs)

  Bases: `azure.mgmt.advisor.models._models_py3.Resource`

  Advisor Recommendation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.

  Parameters:

  - category (str or Category) – The category of the recommendation. Possible values include: ‘HighAvailability’, ‘Security’, ‘Performance’, ‘Cost’, ‘OperationalExcellence’
  - impact (str or Impact) – The business impact of the recommendation. Possible values include: ‘High’, ‘Medium’, ‘Low’
  - impacted_field (str) – The resource type identified by Advisor.
  - impacted_value (str) – The resource identified by Advisor.
  - last_updated (datetime) – The most recent time that Advisor checked the validity of the recommendation.
  - metadata (dict[str, object]) – The recommendation metadata.
  - recommendation_type_id (str) – The recommendation-type GUID.
  - risk (str or Risk) – The potential risk of not implementing the recommendation. Possible values include: ‘Error’, ‘Warning’, ‘None’
  - short_description (ShortDescription) – A summary of the recommendation.
  - suppression_ids (list[str]) – The list of snoozed and dismissed rules for the recommendation.
  - extended_properties (dict[str, str]) – Extended properties

class `azure.mgmt.advisor.models.``ShortDescription`(*, problem: str = None, solution: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A summary of the recommendation.

  Parameters:

  - problem (str) – The issue or opportunity identified by the recommendation.
  - solution (str) – The remediation action suggested by the recommendation.

class `azure.mgmt.advisor.models.``SuppressionContract`(*, suppression_id: str = None, ttl: str = None, **kwargs)

  Bases: `azure.mgmt.advisor.models._models_py3.Resource`

  The details of the snoozed or dismissed rule; for example, the duration, name, and GUID associated with the rule.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.

  Parameters:

  - suppression_id (str) – The GUID of the suppression.
  - ttl (str) – The duration for which the suppression is valid.

class `azure.mgmt.advisor.models.``MetadataEntityPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `MetadataEntity` object

class `azure.mgmt.advisor.models.``ConfigDataPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ConfigData` object

class `azure.mgmt.advisor.models.``ResourceRecommendationBasePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ResourceRecommendationBase` object

class `azure.mgmt.advisor.models.``OperationEntityPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `OperationEntity` object

class `azure.mgmt.advisor.models.``SuppressionContractPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SuppressionContract` object

class `azure.mgmt.advisor.models.``Scenario`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `alerts` = 'Alerts'

class `azure.mgmt.advisor.models.``Category`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `cost` = 'Cost'
  `high_availability` = 'HighAvailability'
  `operational_excellence` = 'OperationalExcellence'
  `performance` = 'Performance'
  `security` = 'Security'

class `azure.mgmt.advisor.models.``Impact`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `high` = 'High'
  `low` = 'Low'
  `medium` = 'Medium'

class `azure.mgmt.advisor.models.``Risk`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `error` = 'Error'
  `none` = 'None'
  `warning` = 'Warning'